# Configure Intel MKL & FFTW (for Apple M-series)
if (${IS_AARCH64})
    if (APPLE)
        message(FATAL_ERROR "Apple Silicon is not yet supported")
    else ()
        message(FATAL_ERROR "ARM based systems is not yet supported")
    endif ()
else ()
    # MKL
    if (EXISTS ${CMAKE_BINARY_DIR}/venv/lib/cmake/mkl/MKLConfig.cmake)
        include(${CMAKE_BINARY_DIR}/venv/lib/cmake/mkl/MKLConfig.cmake)
    endif ()
    set(MKL_LINK "static")
    set(MKL_ILP64 ON)
    find_package(MKL CONFIG REQUIRED PATHS $ENV${MKLROOT})
    include_directories(SYSTEM ${MKL_ROOT}/include/fftw)
    link_directories(${MKL_ROOT}/lib)
endif ()
